function y=Ofg2Kor(Ofg,Rai,Crc);

Hrg = 1.53e5;
Prg = 254.4;

if Ofg>=21,
    y=-Rai/(21*Prg*Hrg*Crc)*(Ofg-21);
else
    epsilon=1e-3;
    Kod = 6.34e-9*Rai^2;
    Ofg_c=21*exp(-Prg*Hrg*Kod/Rai)+epsilon;
    if Ofg<=Ofg_c,
        Kor_c=1/(Prg*Hrg/(Rai*log(21/Ofg_c))-1/Kod)/Crc;
        y=Kor_c-Rai*Crc*(Kor_c/Kod+1/Crc)^2/(Prg*Hrg*Ofg_c)*(Ofg-Ofg_c);
    else
        y=1/(Prg*Hrg/(Rai*log(21/Ofg))-1/Kod)/Crc;
    end,
end,
