function y=spower(x,a,s,t)
%
% Return y=x^a if x>s and s^a otherwise (saturation).
% If a saturation occur, a warning message is displayed,
% indicating values and time t
%
if x>s,
    y=x^a;
else
    y=s^a;
    disp(['WARNING: saturation occurs at time t=',num2str(t),' with x=',num2str(x)]),
end,